%define major 0.4
%define oname clutter-cairo
Name: libclutter-cairo
Version: %major.0
Release: alt1

Summary: Library integrating clutter with Cairo

License: LGPL v2+
Group: System/Libraries
Url: http://www.clutter-project.org/


Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.clutter-project.org/sources/clutter-cairo/%major/%oname-%version.tar.bz2

# manually removed: nvidia_glx_common
# Automatically added by buildreq on Sat Jul 28 2007
BuildRequires: gcc-c++ glibc-devel libclutter-devel

%description
Library integrating clutter with Cairo.

%package devel
Summary: Header files for clutter-cairo library
Group: Development/Other
Requires: %name = %version-%release
Requires: libclutter-devel >= 0.2
Requires: libcairo-devel >= 1.4

%description devel
Header files for clutter-cairo library.

%prep
%setup -q -n %oname-%version

%build
%__autoreconf
%configure --disable-static

%make_build

%install
%make_install install \
	DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc ChangeLog README
%_libdir/libclutter-cairo-*.so.*

%files devel
%_libdir/libclutter-cairo-*.so
%_includedir/clutter-%major/clutter-cairo/
%_pkgconfigdir/clutter-cairo-*.pc

%changelog
* Fri Jan 04 2008 Vitaly Lipatov <lav@altlinux.ru> 0.4.0-alt1
- new version 0.4.0 (with rpmrb script)

* Sat Jul 28 2007 Vitaly Lipatov <lav@altlinux.ru> 0.3.1-alt1
- initial build for ALT Linux Sisyphus (spec from PLD)

